Gradle ADT 0.4 Fehler: android.buildToolsVersion fehlt

Ich versuche, mein Android-Projekt mit dem neuesten ADT-Tools Release von Gradle zu bauen, bekomme ich folgende Fehlermeldung:

Execution failed for task ':compileDebugAidl'. > android.buildToolsVersion is missing! 

Verwenden von Gradle 1.6, Android Plugin 0.4.

  • Wie kann ich reparieren Diese Version der Rendering-Bibliothek ist jünger als Ihre Version von ADT-Plug-in in Eclipse
  • Wenn ich ADT lade, bekomme ich den Fehler "Das Android SDK benötigt Android Developer Toolkit Version XX.XX oder höher?"
  • Update Android SDK Tool auf 22.0.4 (neueste Version) ab 22.0.1
  • Ich möchte den Build-Prozess anpassen, während ich noch das Android Eclipse ADT Plug-In verwende
  • Unterstützt ADT Java 7 API
  • Archiv für benötigte Bibliothek konnte nicht gelesen werden oder ist keine gültige ZIP-Datei
  • Android ImageView mit abgerundeten Ecken funktioniert nicht
  • Knopf und ziehbar links
  • Wie ändere ich Räume zu Unterstrich und mache String-Groß- und Kleinschreibung?
  • Fügen Sie Schatten auf der rechten und unteren Seite des Layouts hinzu
  • Facebook 3.0 Android zweite Login-Versuch gibt "Session State geschlossen"
  • Lesen Sie den Antwortkörper in einem Android Spring Interceptor
  • 2 Solutions collect form web for “Gradle ADT 0.4 Fehler: android.buildToolsVersion fehlt”

    Stellen Sie sicher, dass Sie die neuesten Tools von ADT, SDK, Plattform und Build heruntergeladen haben. Dann füge dieses zu deinem gradle build hinzu.

     android { buildToolsVersion "17.0" compileSdkVersion 15 } 

    Gutschrift an die Post-Mailing-Gruppe.

    Anmerkung: Es ist wichtig, das " um die 17.0 wie gezeigt zu setzen – sonst wird das nicht funktionieren

    Der buildToolsVersion-Wert hängt davon ab, welche Version Sie von Google heruntergeladen haben.

    Angenommen, Sie haben das Android SDK installiert, führen Sie "android" aus der Befehlszeile, um den Android SDK Manager zu öffnen. In der linken Spalte sehen Sie Werkzeuge | Android SDK Build-Tools. Das sagt Ihnen, ob Sie die Build-Tools noch nicht installiert haben oder nicht.

    Nach der Installation der Build-Tools, schau auf die zweite Spalte, mit der Aufschrift "Rev." Es hat die Build-Tools-Version für gradle's buildToolVersion zu verwenden.

    Bildbeschreibung hier eingeben

    Das Android ist ein Google Android Fan-Website, Alles ├╝ber Android Phones, Android Wear, Android Dev und Android Spiele Apps und so weiter.